# 时间和日期

> 原文： [https://pythonbasics.org/time-and-date/](https://pythonbasics.org/time-and-date/)

Python 可以使用模块 _time_ 获得系统时间。 TIme 不属于标准库。 您可以通过输入`import time`加载此模块。

时间模块具有各种与时间相关的功能。 并非所有功能都存在于所有操作系统上。

时间模块从 1970 年 1 月 1 日开始。

**相关课程：** [完整的 Python 编程课程&练习](https://gum.co/dcsp)

## 范例

### 当前时间

在下面的示例中，我们输出日，月和年，后跟当前时间。

第一行返回所有必需的变量（年，月，日，小时，分钟）。

```py
timenow = time.localtime(time.time())

```

函数 time.time（）返回刻度。 滴答声是每台计算机持有的系统滴答声。

```py
timenow = time.localtime(time.time())

```

作为人类，我们不阅读系统刻度，因此需要将其转换为实际人类时间。
函数 localtime（）将这些订单号转换为实际的人类可读值。

```py
year,month,day,hour,minute = timenow[0:5]

```

转换为：

```py
timenow = time.localtime(time.time())

```

Type the program shown below and run it:

```py
import time

timenow = time.localtime(time.time())
year,month,day,hour,minute = timenow[0:5]

print(str(day) + "/" + str(month) + "/" + str(year))
print(str(hour) + ":" + str(minute))

```

### 纪元时间

您如何获得自纪元以来的秒数？
time（）方法将为您提供：

```py
>>> import time
>>> time.time()
1563018526.7016013
>>> time.time()
1563018527.5820937
>>> 

```

要获取时间序列，请调用`time.gmtime()`。

```py
>>> time.gmtime()
time.struct_time(tm_year=2019, tm_mon=7, tm_mday=13, tm_hour=11, tm_min=49, tm_sec=39, tm_wday=5, tm_yday=194, tm_isdst=0)

```

### 字符串时间

方法 asctime（）和 ctime（）返回 24 个字符串。 没有参数，它将获取当前时间。

```py
>>> time.asctime()
'Sat Jul 13 13:53:00 2019'
>>> time.ctime()
'Sat Jul 13 13:53:01 2019'
>>>

```

### 睡眠

您可以使程序执行。 该程序只会等待，不会执行任何操作。 睡眠模块使您可以执行此操作。

```py
import time

print("Hello")
time.sleep(1)
print("World")
time.sleep(1)

```

## 练习

试试下面的练习

1.  以年-月-日格式打印日期

完成这些步骤后，继续下一个练习。

[下载示例](https://gum.co/dcsp)